Bug 2275059 - CVE-2024-2756 php: host/secure cookie bypass due to partial CVE-2022-31629 fix [fedora-all]
Summary: CVE-2024-2756 php: host/secure cookie bypass due to partial CVE-2022-31629 fi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-2756
TreeView+ depends on / blocked
 
Reported: 2024-04-15 07:29 UTC by ybuenos
Modified: 2024-04-19 21:33 UTC (History)
2 users (show)

Fixed In Version: php-8.2.18-1.fc39 php-8.2.18-1.fc38 php-8.3.6-1.fc40
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-19 01:17:41 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description ybuenos 2024-04-15 07:29:35 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2275058

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 ybuenos 2024-04-15 07:29:37 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2275058,2275059

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-04-16 05:28:57 UTC
FEDORA-2024-39d50cc975 (php-8.2.18-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-39d50cc975

Comment 3 Fedora Update System 2024-04-16 05:29:04 UTC
FEDORA-2024-b46619f761 (php-8.2.18-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-b46619f761

Comment 4 Fedora Update System 2024-04-16 05:29:08 UTC
FEDORA-2024-5e8ae0def0 (php-8.3.6-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-5e8ae0def0

Comment 5 Fedora Update System 2024-04-19 01:17:41 UTC
FEDORA-2024-b46619f761 (php-8.2.18-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2024-04-19 02:52:40 UTC
FEDORA-2024-39d50cc975 (php-8.2.18-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2024-04-19 21:33:55 UTC
FEDORA-2024-5e8ae0def0 (php-8.3.6-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.